## netdata 1.6.0

=== CMakeLists.txt ===

# This file is only used for development (netdata in Clion)
# It can build netdata, but you are on your own...

cmake_minimum_required(VERSION 3.3)
project(netdata C)

find_package (Threads)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wformat-signedness -Werror=format-security -DNETDATA_INTERNAL_CHECKS=1")

set(NETDATA_SOURCE_FILES
        src/adaptive_resortable_list.c
        src/adaptive_resortable_list.h
        src/appconfig.c
        src/appconfig.h
        src/avl.c
        src/avl.h
        src/backends.c
        src/backends.h
        src/clocks.c
        src/clocks.h
        src/common.c
        src/common.h
        src/daemon.c
        src/daemon.h
        src/dictionary.c
        src/dictionary.h
        src/eval.c
        src/eval.h
        src/freebsd_sysctl.c
        src/global_statistics.c
        src/global_statistics.h
        src/health.c
        src/health.h
        src/health_config.c
        src/health_json.c
        src/health_log.c
        src/inlined.h
        src/ipc.c
        src/ipc.h
        src/log.c
        src/log.h
        src/macos_fw.c
        src/macos_mach_smi.c
        src/macos_sysctl.c
        src/main.c
        src/main.h
        src/plugin_checks.c
        src/plugin_checks.h
        src/plugin_freebsd.c
        src/plugin_freebsd.h
        src/plugin_idlejitter.c
        src/plugin_idlejitter.h
        src/plugin_macos.c
        src/plugin_macos.h
        src/plugin_nfacct.c
        src/plugin_nfacct.h
        src/plugin_proc.c
        src/plugin_proc.h
        src/plugin_proc_diskspace.c
        src/plugin_proc_diskspace.h
        src/plugin_tc.c
        src/plugin_tc.h
        src/plugins_d.c
        src/plugins_d.h
        src/popen.c
        src/popen.h
        src/proc_diskstats.c
        src/proc_interrupts.c
        src/proc_loadavg.c
        src/proc_meminfo.c
        src/proc_net_dev.c
        src/proc_net_ip_vs_stats.c
        src/proc_net_netstat.c
        src/proc_net_rpc_nfs.c
        src/proc_net_rpc_nfsd.c
        src/proc_net_snmp.c
        src/proc_net_snmp6.c
        src/proc_net_softnet_stat.c
        src/proc_net_stat_conntrack.c
        src/proc_net_stat_synproxy.c
        src/proc_self_mountinfo.c
        src/proc_self_mountinfo.h
        src/proc_softirqs.c
        src/proc_stat.c
        src/proc_sys_kernel_random_entropy_avail.c
        src/proc_uptime.c
        src/proc_vmstat.c
        src/procfile.c
        src/procfile.h
        src/registry.c
        src/registry.h
        src/registry_db.c
        src/registry_init.c
        src/registry_internals.c
        src/registry_internals.h
        src/registry_log.c
        src/registry_machine.c
        src/registry_machine.h
        src/registry_person.c
        src/registry_person.h
        src/registry_url.c
        src/registry_url.h
        src/rrd.c
        src/rrd.h
        src/rrd2json.c
        src/rrd2json.h
        src/rrd2json_api_old.c
        src/rrd2json_api_old.h
        src/rrdcalc.c
        src/rrdcalctemplate.c
        src/rrddim.c
        src/rrddimvar.c
        src/rrdfamily.c
        src/rrdhost.c
        src/rrdpush.c
        src/rrdpush.h
        src/rrdset.c
        src/rrdsetvar.c
        src/rrdvar.c
        src/simple_pattern.c
        src/simple_pattern.h
        src/socket.c src/socket.h
        src/storage_number.c
        src/storage_number.h
        src/sys_devices_system_edac_mc.c
        src/sys_devices_system_node.c
        src/sys_fs_cgroup.c
        src/sys_kernel_mm_ksm.c
        src/unit_test.c
        src/unit_test.h
        src/url.c
        src/url.h
        src/web_api_old.c
        src/web_api_old.h
        src/web_api_v1.c
        src/web_api_v1.h
        src/web_buffer.c
        src/web_buffer.h
        src/web_buffer_svg.c
        src/web_buffer_svg.h
        src/web_client.c
        src/web_client.h
        src/web_server.c
        src/web_server.h
        src/locks.h)

set(APPS_PLUGIN_SOURCE_FILES
        src/appconfig.c
        src/appconfig.h
        src/apps_plugin.c
        src/avl.c
        src/avl.h
        src/common.c
        src/common.h
        src/clocks.c
        src/clocks.h
        src/inlined.h
        src/log.c
        src/log.h
        src/procfile.c
        src/procfile.h
        src/web_buffer.c
        src/web_buffer.h
        config.h
        )

set(FREEIPMI_PLUGIN_SOURCE_FILES
        src/freeipmi_plugin.c
        src/common.c
        src/common.h
        src/clocks.c
        src/clocks.h
        src/inlined.h
        src/log.c
        src/log.h
        src/procfile.c
        src/procfile.h
        config.h
        )

include_directories(AFTER .)

add_definitions(-DHAVE_CONFIG_H -DCACHE_DIR="/var/cache/netdata" -DCONFIG_DIR="/etc/netdata" -DLOG_DIR="/var/log/netdata" -DPLUGINS_DIR="/usr/libexec/netdata" -DWEB_DIR="/usr/share/netdata" -DVARLIB_DIR="/var/lib/netdata")

add_executable(netdata ${NETDATA_SOURCE_FILES})
target_link_libraries (netdata m z uuid ${CMAKE_THREAD_LIBS_INIT})

add_executable(apps.plugin ${APPS_PLUGIN_SOURCE_FILES} src/inlined.h)
target_link_libraries (apps.plugin m ${CMAKE_THREAD_LIBS_INIT})

add_executable(freeipmi.plugin ${FREEIPMI_PLUGIN_SOURCE_FILES})
target_link_libraries (freeipmi.plugin ipmimonitoring)

## netdata 1.5.0+dfsg

=== debian/changelog ===
netdata (1.5.0+dfsg-1) unstable; urgency=medium

  [ Lennart Weller ]
  * New upstream release (Closes: #850004, #854401)
  * Removed unnecessary patches
  * Fixed lintian-overrides
  * Fixed script permissions
  * Include versioned assets

 -- Federico Ceratto <federico@debian.org>  Sun, 12 Feb 2017 14:03:06 +0000

netdata (1.4.0+dfsg-3) unstable; urgency=medium

  * Install Python plugins
  * Add alarm-notify.sh (Closes: #848730)
  * Adjust OOM score (Closes: #848642)
  * Fix dh_fixperms (Closes: #848351)

 -- Federico Ceratto <federico@debian.org>  Mon, 02 Jan 2017 20:35:53 +0000

netdata (1.4.0+dfsg-2) unstable; urgency=medium

  * Fix init script

 -- Federico Ceratto <federico@debian.org>  Fri, 23 Dec 2016 18:30:45 +0000

netdata (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #848311)

 -- Federico Ceratto <federico@debian.org>  Sun, 18 Dec 2016 23:59:27 +0000

netdata (1.3.0+dfsg-1) UNRELEASED; urgency=medium

  [ Lennart Weller ]
  * New upstream version. Fixes license issues
  * Add missing config files
  * Further restrict process permissions

 -- Federico Ceratto <federico@debian.org>  Sat, 08 Oct 2016 16:43:43 +0100

netdata (1.2.0+dfsg-2) unstable; urgency=low

  * Remove Multi-Arch from binary package
  * Fix Vcs-links

 -- Lennart Weller <lhw@ring0.de>  Fri, 22 Jul 2016 16:09:04 +0200

netdata (1.2.0+dfsg-1) unstable; urgency=low

  [ Federico Ceratto ]
  * Initial release (Closes: #819661)
  * Removed update button

  [ Lennart Weller ]
  * Split the main package into appropriate sub packages
  * DFSG-compliant via debian/copyright file removal
  * Linked to Javascript packages available in debian

 -- Lennart Weller <lhw@ring0.de>  Fri, 22 Jul 2016 11:28:50 +0200

=== debian/control ===
Source: netdata
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Uploaders: James Cowgill <jcowgill@debian.org>,
           Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.13.19),
               pkg-config,
               uuid-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://github.com/firehol/netdata
Vcs-Git: https://anonscm.debian.org/git/collab-maint/netdata.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/netdata.git

Package: netdata
Architecture: any
Depends: adduser,
         fonts-font-awesome (>= 4.6),
         libcap2-bin (>= 1:2.0),
         libjs-bootstrap,
         lsb-base (>= 3.1-23.2),
         netdata-data (=${source:Version}),
         python,
         python-yaml,
         ${misc:Depends},
         ${misc:Pre-Depends},
         ${shlibs:Depends}
Recommends: nodejs
Description: real-time charts for system monitoring
 Netdata is a daemon that collects data in realtime (per second)
 and presents a web site to view and analyze them. The presentation
 is also real-time and full of interactive charts that precisely
 render all collected values.

Package: netdata-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: real-time charts for system monitoring (Data)
 Netdata is a daemon that collects data in realtime (per second)
 and presents a web site to view and analyze them. The presentation
 is also real-time and full of interactive charts that precisely
 render all collected values.
 .
 This package contains all the architecture independent data

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://github.com/firehol/netdata/releases/ download/v(?:\d\S*)/netdata-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## netdata 1.6.0

=== debian/changelog ===
netdata (1.6.0-2) jessie; urgency=medium

  * Fix yaml

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 27 Apr 2017 16:45:44 +0000

netdata (1.6.0-1) jessie; urgency=medium

  * New upstream release

 -- Romain Acciari <romain.acciari@openio.io>  Fri, 07 Apr 2017 14:42:35 +0000

netdata (1.5.0+dfsg-4) unstable; urgency=medium

  * Update service unit configuration (Closes: #856412)
  * Fix exim path, thanks to Sven Hartge (Closes: #856252)

 -- Federico Ceratto <federico@debian.org>  Wed, 01 Mar 2017 11:53:38 +0000

netdata (1.5.0+dfsg-3) unstable; urgency=medium

  * Update service unit configuration (Closes: #851852)

 -- Federico Ceratto <federico@debian.org>  Sun, 26 Feb 2017 23:58:43 +0000

netdata (1.5.0+dfsg-2) unstable; urgency=medium

  [ Lennart Weller ]
  * Include node.d modules now as we recommend nodejs (Closes: #856182)
  * Move data dependencies to data package

 -- Federico Ceratto <federico@debian.org>  Sun, 26 Feb 2017 18:27:33 +0000

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,7 @@
 Package: netdata
 Architecture: any
 Depends: adduser,
-         fonts-font-awesome (>= 4.6),
          libcap2-bin (>= 1:2.0),
-         libjs-bootstrap,
          lsb-base (>= 3.1-23.2),
          netdata-data (=${source:Version}),
          python,
@@ -39,7 +37,10 @@
 Package: netdata-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: fonts-font-awesome (>= 4.6),
+         libjs-bootstrap,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: real-time charts for system monitoring (Data)
  Netdata is a daemon that collects data in realtime (per second)
  and presents a web site to view and analyze them. The presentation

## netdata 1.6.0+dfsg

=== debian/changelog ===
netdata (1.6.0+dfsg-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Jul 2017 20:15:59 +0100

netdata (1.6.0+dfsg-3) unstable; urgency=medium

  * Add fping Recommends and CAP_NET_RAW capability (Closes: #864370)

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Jul 2017 19:46:27 +0100

netdata (1.6.0+dfsg-2) unstable; urgency=medium

  [ Lennart Weller ]
  * Change logrotate to only re-open logfiles
  * Change pidfile to existing location for sysvinit (Closes: #861713)
  * Change After network to After network-online (Closes: #862455)

 -- Federico Ceratto <federico@debian.org>  Sat, 27 May 2017 12:40:39 +0100

netdata (1.6.0+dfsg-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release (Closes: #858757)

  [ Lennart Weller ]
  * Make all of /var writeable avoiding any other MTA problems (Closes: #856502)
  * Add CAP_SETUID permission for the service (Closes: #856500)
  * Change logrotate to weekly (Closes: #857305)
    We do the weekly logrotate for now as SIGHUP is not working correctly.
    See https://github.com/firehol/netdata/issues/805

 -- Federico Ceratto <federico@debian.org>  Wed, 03 May 2017 14:21:50 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
          ${misc:Depends},
          ${misc:Pre-Depends},
          ${shlibs:Depends}
-Recommends: nodejs
+Recommends: nodejs, fping
 Description: real-time charts for system monitoring
  Netdata is a daemon that collects data in realtime (per second)
  and presents a web site to view and analyze them. The presentation

## netdata 1.7.0+dfsg

=== debian/changelog ===
netdata (1.7.0+dfsg-1) unstable; urgency=medium

  [ Lennart Weller ]
  * New upstream release (Closes: #868662)
  * Rudimentary solution to the sysvinit conundrum (Closes: #861713)
  * Remove old config files from <1.6.0 with maintscript (Closes: #869200)
  * Add a recommendation for curl. Fixing telegram pushes (Closes: #872799)

  [ Federico Ceratto ]
  * Remove James Cowgill from Uploaders (Closes: #872245)

 -- Federico Ceratto <federico@debian.org>  Thu, 24 Aug 2017 19:38:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Lennart Weller <lhw@ring0.de>
-Uploaders: James Cowgill <jcowgill@debian.org>,
-           Federico Ceratto <federico@debian.org>
+Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.5),
@@ -11,7 +10,7 @@
                pkg-config,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/firehol/netdata
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/netdata.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/netdata.git
@@ -27,7 +26,7 @@
          ${misc:Depends},
          ${misc:Pre-Depends},
          ${shlibs:Depends}
-Recommends: nodejs, fping
+Recommends: nodejs, fping, curl
 Description: real-time charts for system monitoring
  Netdata is a daemon that collects data in realtime (per second)
  and presents a web site to view and analyze them. The presentation

## netdata 1.8.0+dfsg

=== debian/changelog ===
netdata (1.8.0+dfsg-2) jessie; urgency=medium

  * Rebuilt for Ubuntu Xenial

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 31 Oct 2017 14:45:25 +0000

netdata (1.8.0+dfsg-1) unstable; urgency=medium

  [ Lennart Weller ]
  * New upstream release
  * Maintscript update to hopefully rename old config files (Closes: #869200)

 -- Federico Ceratto <federico@debian.org>  Tue, 19 Sep 2017 18:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -22,11 +22,12 @@
          lsb-base (>= 3.1-23.2),
          netdata-data (=${source:Version}),
          python,
+         python-urllib3,
          python-yaml,
          ${misc:Depends},
          ${misc:Pre-Depends},
          ${shlibs:Depends}
-Recommends: nodejs, fping, curl
+Recommends: curl, fping, nodejs
 Description: real-time charts for system monitoring
  Netdata is a daemon that collects data in realtime (per second)
  and presents a web site to view and analyze them. The presentation

## netdata 1.9.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# Find the arch we are building for, as this determines
# the location of plugins in /usr/lib
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TOP = $(CURDIR)/debian/netdata

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MULTIARCH_INSTALL = debian/netdata.postinst

%:
	# For jessie and beyond
	#
	dh $@ --with autoreconf,systemd

	# For wheezy or other non-systemd distributions use the following. You
	# should also see contrib/README.md which gives details of updates to
	# make to debian/control.
	#
	#dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-math

override_dh_auto_build:
	dh_auto_build --parallel

$(MULTIARCH_INSTALL): % : %.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

override_dh_install: $(MULTIARCH_INSTALL)
	dh_install

override_dh_install-arch: $(MULTIARCH_INSTALL)
	dh_install
	# Remove unneeded .keep files
	find "$(TOP)" -name .keep -delete

override_dh_install-indep:
	dh_install
	# Deactivate automatic update check
	echo 0 > $(TOP)-data/usr/share/netdata/web/version.txt

override_dh_fixperms-arch:
	dh_fixperms

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	#
	chmod 0754 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/plugins.d/apps.plugin
	chmod 0644 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/plugins.d/loopsleepms.sh.inc
	chmod 0644 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/charts.d/*.sh
	chmod 0644 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/python.d/*.py

## netdata 1.9.0+dfsg

=== debian/changelog ===
netdata (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #885634)

 -- Federico Ceratto <federico@debian.org>  Fri, 26 Jan 2018 23:57:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               dh-systemd (>= 1.5),
+               debhelper (>= 9.20160709),
                dpkg-dev (>= 1.13.19),
                pkg-config,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://github.com/firehol/netdata
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/netdata.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/netdata.git
@@ -21,9 +21,9 @@
          libcap2-bin (>= 1:2.0),
          lsb-base (>= 3.1-23.2),
          netdata-data (=${source:Version}),
-         python,
-         python-urllib3,
-         python-yaml,
+         python3,
+         python3-urllib3,
+         python3-yaml,
          ${misc:Depends},
          ${misc:Pre-Depends},
          ${shlibs:Depends}

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://github.com/firehol/netdata/releases/ download/v(?:\d\S*)/netdata-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## netdata 1.10.0+dfsg

=== debian/changelog ===
netdata (1.10.0+dfsg-2) unstable; urgency=medium

  [ Lennart Weller ]
  * Add support for kfreebsd/hurd

  [ Daniel Baumann ]
  * Updating my email address in uploaders field.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #898185).
  * Adding initial Portuguese debconf translations from Rui Branco
    <ruipb@debianpt.org> (Closes: #898291).
  * Adding initial French debconf translations from Alban Vidal
    <alban.vidal@zordhak.fr> (Closes: #898829).
  * Updating year in copyright for current upstream version.
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #899023).
  * Removing explicit use of --parallel in rules, this is already used by
    default with the currently used debhelper version.
  * Updating watch file to version 4, no changes required.
  * Adding Rules-Requires-Root filed in control.
  * Updating standards version to 4.1.5, no changes required.
  * Adding patch from Sander Klein <debian-bugs@roedie.nl> to fix the
    python config directory path (Closes: #904134).
  * Updating to standards version 4.2.0.
  * Adding initial German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #905759).

  [ Federico Ceratto ]
  * Add CI conf

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 25 Aug 2018 16:52:52 +0200

netdata (1.10.0+dfsg-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release

  [ Lennart Weller ]
  * Patch by Daniel Baumann to enable SEND_EMAILS configuration
    (Closes: #888815)
  * Patch by Simon Deziel to fallback to suid in containers (Closes: #890139)
  * Added Daniel Baumann <daniel@debian.org> to Uploaders

 -- Federico Ceratto <federico@debian.org>  Thu, 03 May 2018 11:40:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Lennart Weller <lhw@ring0.de>
-Uploaders: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Federico Ceratto <federico@debian.org>, Daniel Baumann <daniel.baumann@progress-linux.org>
+Build-Depends: debhelper (>= 11~),
                dh-autoreconf,
-               debhelper (>= 9.20160709),
                dpkg-dev (>= 1.13.19),
                pkg-config,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Standards-Version: 4.2.0
 Homepage: https://github.com/firehol/netdata
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/netdata.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/netdata.git
+Vcs-Git: https://salsa.debian.org/debian/netdata.git
+Vcs-Browser: https://salsa.debian.org/debian/netdata
 
 Package: netdata
 Architecture: any
@@ -22,7 +22,8 @@
          lsb-base (>= 3.1-23.2),
          netdata-data (=${source:Version}),
          python3,
-         python3-urllib3,
+         python3-six,
+         python3-urllib3 (>= 1.22),
          python3-yaml,
          ${misc:Depends},
          ${misc:Pre-Depends},

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 %:
 	# For jessie and beyond
 	#
-	dh $@ --with autoreconf,systemd
+	dh $@ --with autoreconf
 
 	# For wheezy or other non-systemd distributions use the following. You
 	# should also see contrib/README.md which gives details of updates to
@@ -26,9 +26,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-math
-
-override_dh_auto_build:
-	dh_auto_build --parallel
 
 $(MULTIARCH_INSTALL): % : %.in
 	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://github.com/firehol/netdata/releases/ download/v(?:\d\S*)/netdata-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## netdata 1.11.1+dfsg

=== requirements.txt ===
mkdocs>=1.0.1
mkdocs-material

=== debian/changelog ===
netdata (1.11.1+dfsg-4) unstable; urgency=medium

  * Repeating Section for binary packages in control.
  * Reordering, formating and ordering maintainer scripts to make them
    more robust (Closes: #919973).
  * Correcting spelling typo in netdata.conf comments.
  * Sorting netdata.install file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Jan 2019 12:42:01 +0100

netdata (1.11.1+dfsg-3) unstable; urgency=medium

  * Building with dh_missing --fail-missing.
  * Using passwd instead of adduser to lower depends footprint.
  * Using build-depends to specify debhelper compat level instead of
    d/compat.
  * Using consistent formatting of comments in netdata-data.links.
  * Using /bin/sh in netdata.init as it doesn't contain any bashisms.
  * Fixing a few inconsistent indentings in netdata.init.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 20 Jan 2019 08:46:54 +0100

netdata (1.11.1+dfsg-2) unstable; urgency=medium

  * brown paper bag: I've built the wrong branch by accident that had
    WIP maintainer scripts, uploading the proper 1.11.1+dfsg-1 now.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Dec 2018 20:05:07 +0100

netdata (1.11.1+dfsg-1) unstable; urgency=medium

  * Temporarily disable use of SSE to make netdata usable on old machines
    (Closes: #879765).
  * Removing debconf-handling of health_alarm_notify.conf for now, will
    reintroduce it properly with ucf after some reworking/generalization
    (Closes: #904459).
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Dec 2018 19:11:39 +0100

netdata (1.11.1+dfsg-1~exp4) experimental; urgency=medium

  * Building on linux only, building on kfreebsd doesn't really work at
    the moment.
  * Writing exact package version into web/version.txt.
  * Writing exact version number into netdata itself.
  * Preserving unmodified configure.ac during builds to not fail to build
    twice in a row (workaround for #728029).
  * Removing double lintian overrides for jquery.
  * Readding misc:Pre-Depends for init-system-helpers.
  * Correcting spelling typo in changelog.
  * Updating local netdata manpage for current upstream version.
  * Adding gauge-1.3.2.js symlink in missing-sources to please lintian.
  * Enabling freeimpi plugin.
  * Making freeipmi.plugin setuid root.
  * Updating lintian overrides.
  * Removing .keep files globaly.
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Dec 2018 12:06:03 +0100

netdata (1.11.1+dfsg-1~exp3) experimental; urgency=medium

  * Removing unused PERMS placeholder in postinst.
  * Adding dep-header in compile-on-kfreebsd.patch.
  * Updating package descriptions based on upstream documentation.
  * Adding TODO file.
  * Update spelling of upstream project name in copyright.
  * Adding patch to hide social-media buttons in navbar to declutter the
    interface.
  * Splitting some patches and grouping them thematically together.
  * Moving source lintian-overrides to their preferred location.
  * Adding build-depends on freebsd-glue to try to fix remaining FTBFS on
    kfreebsd.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Dec 2018 21:52:56 +0100

netdata (1.11.1+dfsg-1~exp2) experimental; urgency=medium

  * Minimizing depends wrt/ versions prior stretch.
  * Removing notes about autoreconf in rules, this is run by dh 10 by
    default already.
  * Running wrap-and-sort -bast on debian packaging.
  * Removing unused misc:Pre-Depends, used to be needed for early multi-
    arch only.
  * Removing unused shlibs:Depends on netdata-data which is arch-all
    anyway.
  * Adding new patch to try building on kfreebsd.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 29 Dec 2018 08:30:52 +0100

netdata (1.11.1+dfsg-1~exp1) experimental; urgency=medium

  * Merging upstream version 1.11.1+dfsg
  * Bumping changelog.
  * Refreshing python-libraries-removed-from-make.patch.
  * Refreshing remove-file-serve-restrictions-for-symlinks.patch.
  * Refreshing hide-update-button.patch, using comment instead of
    'display: none' which is rendering-friendlier.
  * Refreshing Debianize-path-to-exim4-binary.patch.
  * Refreshing remove-infographic-for-privacy-breach-reasons.patch,
    removing removal of infographic.html via diff, not needed anymore.
  * Refreshing Force-usage-of-python3.patch.
  * Refreshing Skip-debian-files-in-upstream-s-makefile.patch.
  * Harmonizing patch filenames.
  * Adding entries with CVE numbers to previous upstream version in debian
    changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Dec 2018 17:54:28 +0100

netdata (1.11.0+dfsg-1~exp1) experimental; urgency=medium

  [ Federico Ceratto ]
  * Update watch file

  [ Daniel Baumann ]
  * Merging upstream version 1.11.0+dfsg:
    - Fixed JSON Header Injection (an attacker could send \n encoded in the
      request to inject a JSON fragment into the response) [CVE-2018-18836].
    - Fixed HTTP Header Injection (an attacker could send \n encoded in the
      request to inject an HTTP header into the response) [CVE-2018-18837].
    - Fixed LOG Injection (an attacker could send \n encoded in the request
      to inject a log line at access.log) [CVE-2018-18838].
  * Updating excluded files in copyright file.
  * Updating upstream url in various debian packaging files.

  [ Federico Ceratto ]
  * Update debian/watch pattern

  [ Lennart Weller ]
  * Updated patches for 1.11

  [ Federico Ceratto ]
  * Move overrides to netdata-data.lintian-overrides
  * Update copyright
  * Add Recommends
  * Add overrides
  * Update copyright: file locations
  * Add lintian overrides
  * Add install path
  * Sort installs
  * Remove dh-autoreconf dep
  * Update copyright

  [ Daniel Baumann ]
  * Updating to debhelper compat 12.
  * Updating to standards version 4.3.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Dec 2018 15:29:13 +0100



=== debian/control ===
Source: netdata
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Uploaders:
 Federico Ceratto <federico@debian.org>,
 Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 12),
 libipmimonitoring-dev,
 pkg-config,
 uuid-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/netdata/netdata
Vcs-Browser: https://salsa.debian.org/debian/netdata
Vcs-Git: https://salsa.debian.org/debian/netdata.git

Package: netdata
Section: net
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 netdata-data (=${source:Version}),
 python3,
 python3-six,
 python3-urllib3 (>= 1.22),
 python3-yaml,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 curl,
 fping,
 nodejs,
Description: real-time performance monitoring
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 It can run autonomously without any third party components or it can be
 integrated to existing monitoring tool chains (Prometheus, Graphite,
 OpenTSDB, Kafka, Grafana, etc).

Package: netdata-data
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 ${misc:Depends},
Recommends:
 netdata (=${source:Version}),
Description: real-time performance monitoring (data)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the architecture independent data.

=== debian/rules ===
#!/usr/bin/make -f

# Find the arch we are building for, as this determines
# the location of plugins in /usr/lib
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TOP = $(CURDIR)/debian/netdata

VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_MAJOR := $(word 1, $(subst ., ,$(VERSION)))
VERSION_MINOR := $(word 2, $(subst ., ,$(VERSION)))
VERSION_FIX := $(word 3, $(subst -, ,$(subst ., ,$(VERSION))))
VERSION_SUFFIX := -$(word 4, $(subst -, ,$(subst ., ,$(VERSION))))

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MULTIARCH_INSTALL = debian/netdata.postinst

%:
	dh $@

override_dh_autoreconf:
	rm -f debian/configure.ac.orig
	cp configure.ac debian/configure.ac.orig

	sed -i	-e 's/^\(define(\[VERSION_MAJOR]\).*/\1, [$(VERSION_MAJOR)])/' \
		-e 's/^\(define(\[VERSION_MINOR]\).*/\1, [$(VERSION_MINOR)])/' \
		-e 's/^\(define(\[VERSION_FIX]\).*/\1, [$(VERSION_FIX)])/' \
		-e 's/^\(define(\[VERSION_SUFFIX]\).*/\1, [$(VERSION_SUFFIX)])/' \
	configure.ac

	dh_autoreconf

override_dh_autoreconf_clean:
	if [ -e debian/configure.ac.orig ]; \
	then \
		rm -f configure.ac; \
		mv debian/configure.ac.orig configure.ac; \
	fi

	dh_autoreconf_clean

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) --disable-x86-sse --enable-plugin-freeipmi --with-math

$(MULTIARCH_INSTALL): % : %.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

override_dh_install: $(MULTIARCH_INSTALL)
	# Remove unneeded .keep files
	find debian/tmp -name .keep -delete

	dh_install

override_dh_install-indep:
	dh_install
	# Setting package version (update check)
	echo $(VERSION) > $(TOP)-data/usr/share/netdata/web/version.txt

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	#
	chmod 0754 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/plugins.d/apps.plugin
	chmod 0644 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/plugins.d/loopsleepms.sh.inc
	chmod 4754 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/plugins.d/freeipmi.plugin
	chmod 0644 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/charts.d/*.sh
	chmod 0644 $(TOP)/usr/lib/$(DEB_HOST_MULTIARCH)/netdata/python.d/*.py

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://github.com/netdata/netdata/releases/ download/v(?:\d\S*)/netdata-v(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
